<?php 
/*
Plugin Name: Keyword Position Checker
Version: 1.1.1
Description: Check keyword position on Google.You can use shortcode <strong>[kwposchecker]</strong> or use <strong>widget</strong> integrated in this plugin
Author: doanhienitpro
Author URI: http://weblife24h.com
Plugin URI: http://weblife24h.com
*/
$wp_plugin_url =  trailingslashit( WP_PLUGIN_URL.'/'. dirname( plugin_basename(__FILE__) ) );
require_once "includes/widget.php";
global $wp_version;
$exit_msg='Keyword Position Checker requires WordPress 2.5 or newer. <a href="http://codex.wordpress.org/Upgrading_WordPress">Please update!</a>';

if (version_compare($wp_version,"3.3.1","<"))
{
	exit ($exit_msg);
}

function kpc_init() {
    $prlink = update_option( "prlink", "http://weblife24h.com" );
}

register_activation_hook( __FILE__, "kpc_init" );

function keyword_position_checker() {
    global $wp_plugin_url;
    $form = '<div id="kw-pos-ck-wrapper">
        <form id="keyword_form_check" name="keyword_form_check" action="'.$wp_plugin_url.'includes/keyword-position-checker-ajax.php" method="post">'.
        wp_nonce_field( 'kwposcheck' )
            .'<p>
                <label for="kw">Keyword <small>( Separate by break line )</small></label>
                <textarea cols="32" rows="5" id="kw" name="kw"></textarea>
            </p>
            <p>
                <label>Domain <small>( Ex: www.yourdomain.com ........ )</small></label>
                <input type="text" id="domain" name="domain" />
            </p>
            
            <p>
                <label for="google_place">Google <small>( Ex: us,com, com.vn ........ )</small></label>
                <input type="text" id="google_place" name="google_place" value="com.vn" />
            </p>
            <p>
                <label for="langue">Language <small>( Ex: en,vi ........ )</small></label>
                <input type="text" id="langue" name="langue" value="vi" />
            </p>
            <p style="display: none;" id="pos">
            </p>
            <p id="butsend">
                <input class="button" type="submit" id="send" name="send" value="Check" />
                <a class="prlink" href="'.get_option( "prlink" ).'">Thiet ke web</a>
                <div id="checking" style="display: none;">
                     <strong>Checking.......</strong> <img style="float: left;" src="'.$wp_plugin_url.'images/loading.gif" />
                </div>
            </p>
        </form>
    </div>';
    return $form;
}

function keywordpos( $keyword, $domain, $data, $page_start ) {
    $search=explode('<li class="g">',$data);
    for($i=0;$i<10;$i++){
        if(substr_count($search[$i],$domain)>0){
            $pos=$i;
            break;
        }
              
    }
    if( isset( $pos ) ) {
        return $page_start + $pos;
    }
    return;
}

function kwp_check($keyword, $domain, $google_place, $language) {	
    $rs = null;
    $key_args = explode( "\n", $keyword );
    foreach( $key_args as $key => $val ) {
        $page_start=null;
        for($i=0;$i<100;$i=$i+10){
            $link="http://www.google.".$google_place."/search?hl=".$language."&start=".$i."&q=".$val;
            $ch = curl_init();
            curl_setopt ($ch, CURLOPT_URL, $link);
            curl_setopt ($ch, CURLOPT_RETURNTRANSFER, TRUE);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            $data = curl_exec($ch);
            curl_close($ch);
            if(substr_count($data,$domain)>0){
            	$page_start=$i;
            	break;
            }
        }
        if($page_start>=0 && isset( $page_start )){	 	 
            $rs[$val] = keywordpos($val,$domain,$data,$page_start);
        }else{
            $rs[$val] = "Not the top 200";
        }
    }
    $print = null;
    if( !empty( $rs ) ) {
        $print .= "<table id='kwposchecker'>";
        $print .= "<tr><th>Keyword</th><th>Position</th></tr>";
        foreach( $rs as $key => $val ) {
            $key = str_replace('+',' ',trim( strip_tags( $key ) ));
            
            $print .= "<tr><td class='kw'>".$key."</td><td class='pos'>".$val."</td></tr>";
        }
        $print .= "</table>";
        echo $print;
    }
    else {
        echo "<p class='error'>Check process not success</p>";
    }
}

function Kwposcheck_ScriptsAction()
{
  if (!is_admin()) {
      global $wp_plugin_url;
      
      wp_enqueue_script('jquery');
      wp_enqueue_script('jquery-form');
      wp_enqueue_script('kwposcheck-validate', $wp_plugin_url . 'js/jquery.validate.min.js', array('jquery'));
      wp_enqueue_script('kwposcheck', $wp_plugin_url . 'js/keyword-position-checker.js', array('jquery', 'jquery-form'));
  }
}

function Kwposcheck_HeadAction()
{
  global $wp_plugin_url;
  
  echo '<link rel="stylesheet" href="' . $wp_plugin_url . 'css/style.css" type="text/css" />';
}
  
add_action('wp_print_scripts', 'Kwposcheck_HeadAction');

add_action('wp_print_scripts', 'Kwposcheck_ScriptsAction');

add_shortcode( "kwposchecker", "keyword_position_checker" );
?>